#ifndef _VisibilityDummyQueryManager_H__
#define _VisibilityDummyQueryManager_H__

#include "VisibilityInfo.h"
#include "QueryManager.h"

namespace GtpVisibility {
/** This implements dummy visibility queries. The queries return only the root of the
    hierarchy as visible node.
*/
  class DummyQueryManager : public QueryManager
  {
  public:
    /** Constructor taking a scene traverser for a specific type of hierarchyInterface
	as argument. 
    */
    DummyQueryManager( HierarchyInterface *hierarchyInterface ):
      QueryManager(hierarchyInterface) {}
    
    /**
       @sa QueryManager::ComputeCameraVisibility()
     */
    virtual void
    ComputeCameraVisibility(const Camera &camera,
			    InfoContainer<NodeInfo> *visibleNodes,
			    InfoContainer<MeshInfo> *visibleGeometry,
			    bool relativeVisibility = false );
    
    /**
       @sa QueryManager::ComputeFromPointVisibility()
     */
    virtual void
    ComputeFromPointVisibility(const Vector3 &point,
			       InfoContainer<NodeInfo> *visibleNodes,
			       InfoContainer<MeshInfo> *visibleGeometry,
			       bool relativeVisibility = false
			       );
    
  };
  
};
#endif // VisibilitySummyQueryManager
